> ## Documentation Index
> Fetch the complete documentation index at: https://docs.beyondwords.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update playlist settings

> Updates the feed settings for a playlist



## OpenAPI

````yaml put /projects/{project_id}/playlists/{playlist_id}/settings
openapi: 3.0.1
info:
  title: BeyondWords REST API
  description: |-
    This is the documentation for the BeyondWords REST API.
              You can use this API to use BeyondWords programmatically.
              You can get your API Key and Project ID for each project in the Project settings tab in the BeyondWords
              <a href="https://dash.beyondwords.io/dashboard">dashboard</a>.
  version: 1.0.0
servers:
  - url: https://api.beyondwords.io/v1
security: []
paths:
  /projects/{project_id}/playlists/{playlist_id}/settings:
    parameters:
      - name: project_id
        in: path
        description: The numeric ID of your project
        required: true
        schema:
          type: string
      - name: playlist_id
        in: path
        description: The numeric ID of your playlist
        required: true
        schema:
          type: string
    put:
      tags:
        - Playlists
      summary: Update
      description: Updates the feed settings for a playlist
      operationId: playlists#update_feed_settings
      parameters: []
      requestBody:
        content:
          application/json:
            examples:
              example:
                $ref: '#/components/examples/feedExample'
            schema:
              $ref: '#/components/schemas/feedModel'
      responses:
        '200':
          description: successful
          content:
            application/json:
              examples:
                example:
                  $ref: '#/components/examples/feedExample'
              schema:
                $ref: '#/components/schemas/feedModel'
      security:
        - apiKey: []
components:
  examples:
    feedExample:
      summary: A sample podcast feed settings request
      value:
        title: Podcast title
        enabled: true
        description: This podcast is about...
        homepage_url: https://example.com/my-podcast
        image_url: https://example.com/image.jpeg
        apple_categories:
          primary_category: Arts
          primary_subcategory: Books
          secondary_category: Comedy
          secondary_subcategory: Improv
        google_categories:
          - Arts
          - Society & Culture
          - Comedy
        language: en
        owner_name: John Smith
        owner_email: john@example.com
        author_names:
          - John Smith
          - Jane Doe
        explicit_enabled: false
        keywords:
          - Improv Comedy
        feed_limit: 50
  schemas:
    feedModel:
      type: object
      properties:
        title:
          type: string
          description: The title of the podcast feed
        enabled:
          type: boolean
          description: Whether or not the podcast feed URL is available
        description:
          type: string
          description: The description of the podcast feed
          nullable: true
        homepage_url:
          type: string
          description: The homepage URL of the podcast feed
          nullable: true
        image_url:
          type: string
          description: The image URL of the podcast feed
          nullable: true
        apple_categories:
          type: object
          description: Category data for Apple Podcasts and Spotify
          properties:
            primary_category:
              type: string
              description: The primary category of the podcast
              nullable: true
            primary_subcategory:
              type: string
              description: The primary subcategory of the podcast
              nullable: true
            secondary_category:
              type: string
              description: The secondary category of the podcast
              nullable: true
            secondary_subcategory:
              type: string
              description: The secondary subcategory of the podcast
              nullable: true
        google_categories:
          type: array
          description: An array of Google Podcast categories of the podcast
          items:
            type: string
        language:
          type: string
          description: The podcast feed language
          nullable: true
        owner_name:
          type: string
          description: The name of the administrator for the podcast
          nullable: true
        owner_email:
          type: string
          description: The email of the administrator for the podcast
          nullable: true
        author_names:
          type: array
          description: The names of writers/speakers who contribute to the podcast
          items:
            type: string
        explicit_enabled:
          type: boolean
          description: Whether or not the podcast contains explicit content
        keywords:
          type: array
          description: An array of keywords to associate with the podcast
          items:
            type: string
        feed_limit:
          type: integer
          description: The maximum number of podcasts that will appear in the feed
        copyright:
          type: string
          description: The copyright tag of the podcast feed
          nullable: true
  securitySchemes:
    apiKey:
      type: apiKey
      name: X-Api-Key
      in: header

````